Subject: [mpls] Regarding LDP host Address Fec type removal from RFC-3815 LDP MIB

From: venkatesan mahalingam <[email-masked]>
Date: Mon, 19 Apr 2010 10:41:00 +0530

Hi All,
As per RFC 5036 section 7 [Changes from RFC
3036<http://tools.ietf.org/html/rfc3036>
]
"Removed the Host Address FEC and references to it, since it is not used by
any implementation" but in RFC-3815 [Definitions of Managed Objects
for the Multiprotocol
Label Switching (MPLS), Label Distribution Protocol (LDP)] is not updated to
remove the hostAddress Fec Type.

Is there any work in progress to remove the hostAddress Fec type from this
LDP MIB?
mplsFecTable object:
--------------------------------

     mplsFecType  OBJECT-TYPE
         SYNTAX      INTEGER {
                        prefix(1),
                        *hostAddress(2)*
                     }
         MAX-ACCESS  read-create
         STATUS      current
         DESCRIPTION
             "The type of the FEC.  If the value of this object
             is 'prefix(1)' then the FEC type described by this
             row is an address prefix.

             If the value of this object is 'hostAddress(2)' then
             the FEC type described by this row is a host address."
         REFERENCE
             "RFC3036, Section
3.4.1<http://tools.ietf.org/html/rfc3036#section-3.4.1>.
FEC TLV."
         ::= { mplsFecEntry 2 }

-- 
Best Regards,
Venkatesan Mahalingam.

---

From: "Thomas D. Nadeau" <[email-masked]>
Date: Mon, 19 Apr 2010 07:37:03 -0400

If/when the LDP MIB (and other MPLS MIBs) are progressed to the next
stage in standardization, we would definitely have to go through the
implementation reports and mimic their changes.  At present, there is no
such work in progress. In the meantime, what I think implementations would
just set the variable to the default value, while NM entities would ignore
it (assuming they understood the device was ignoring it too).

    --Tom

On 4/19/10 1:11 AM, "venkatesan mahalingam" <[email-masked]> wrote:

> Hi All,
> As per RFC 5036 section 7 [Changes from RFC 3036
> <http://tools.ietf.org/html/rfc3036> ]
> any implementation" but in RFC-3815 [Definitions of Managed Objects for
> the Multiprotocol Label Switching (MPLS), Label Distribution Protocol (LDP)]
> is not updated to remove the hostAddress Fec Type.
>  
> Is there any work in progress to remove the hostAddress Fec type from this LDP
> MIB?
> mplsFecTable object:
>                         hostAddress(2)
>              "RFC3036, Section 3.4.1
> <http://tools.ietf.org/html/rfc3036#section-3.4.1> . FEC TLV."
>          ::= { mplsFecEntry 2 }